KDESU(1)

NAMA
kdesu - Jalankan program dengan hak akses yang lebih tinggi

SINOPSIS

kdesu [-c perintah] [-d] [-f file] [-i nama ikon] [-n] [-p prioritas] [-r] [-s] [-t] [-u pengguna] [--noignorebutton] [--attach winid]

kdesu [Opsi-opsi Generik KDE] [Opsi-opsi Generik Qt]

DESKRIPSI

KDE su adalah sebuah front end grafik untuk perintah su UNIX® untuk K Desktop Environment. Yang memungkinkanmu untuk menjalankan program sebagai pengguna yang berbeda dengan menyuplai kata sandi bagi pengguna. KDE su adalah sebuah program tidak perlu hak akses; ia menggunakan su milik sistem.

KDE su memiliki salahsatu fitur tambahan: ia bisa secara opsional mengingat kata sandi untukmu. Jika kamu menggunakan fitur ini, kamu hanya perlu memasukkan kata sandi sekali untuk setiap perintah.

Program ini bermaksud untuk dijalankan dari baris perintah atau dari file-file .desktop.

Sejak kdesu tidak lagi diinstal dalam $(kde4-config --prefix)/bin tetapi dalam kde4-config --path libexec dan oleh karenanya tidak di Path-mu, kamu harus menggunakan $(kde4-config --path libexec)kdesu untuk meluncurkan kdesu.

OPSI

-c perintah
    Penentuan perintah ini untuk berjalan sebagai root. Itu harus dilalui dalam satu argumen. Jadi jika, misalnya, kamu ingin menjalankan sebuah pengelola file baru kamu harus memasukkan prompt: $(kde4-config --path libexec)kdesu -c Dolphin

-d
    Tampilkan informasi debug.

-f file
    Opsi ini memungkinkan KDE su penggunaan yang efisien dalam file .desktop. Yang memberi tahu KDE su untuk memeriksa file yang ditentukan oleh file. Jika file ini dapat ditulis oleh pengguna saat ini, KDE su akan melaksanakan perintah sebagai pengguna saat ini. Jika ia tidak dapat ditulis, perintah dilaksanakan sebagai pengguna (bakunya kepada root).

    file telah dievaluasikan seperti ini: jika file memulai dengan sebuah /, ia telah diambil sebagai sebuah nama file yang mutlak. Meskipun demikian, ia telah diambil sebagai nama dari sebuah file konfigurasi KDE global.

-i nama ikon
    Ikon ditentukan untuk penggunaan di dalam dialog kata sandi. Mungkin kamu hanya menentukan nama, tanpa ekstensi apa pun.

-n
    Jangan menjaga kata sandi. Ini menonfungsikan kotak-centang jaga kata sandi di dalam dialog kata sandi.

-p prioritas
    Set nilai prioritas. Prioritas adalah sebuah nomor bebas antara 0 dan 100, yang mana 100 maksudnya berprioritas lebih tinggi, dan 0 maksudnya berprioritas lebih rendah. Bakunya adalah 50.

-r
    Gunakan penjadwalan waktu nyata.

-s
    Hentikan daemon kdesu. Ini adalah daemon yang men-cache kata sandi yang berhasil di latarbelakang. Fitur ini juga bisa dinonfungsikan dengan -n ketika KDE su pertama dijalankan.

-t
    Fungsikan output terminal. Ini menonfungsikan penjagaan kata sandi. Ini adalah sebagian besar untuk tujuan pendebugan; jika kamu ingin menjalankan aplikasi mode console, gunakan su standar sebagai gantinya.

-u pengguna
    Penggunaan yang paling umum KDE su adalah menjalankan perintah sebagai superuser, kamu bisa menyuplai nama pengguna dan kata sandi apa pun yang sesuai.

--noignorebutton
    Jangan displaikan sebuah tombol abaikan.

--attach winid
    Buat dialog tampak sebentar untuk aplikasi X yang ditentukan oleh winid.

LIHAT JUGA

su(1)

Dokumentasi pengguna yang lebih terperinci telah tersedia dari help:/kdesu (antara masuk URL ini ke dalam Konqueror, atau menjalankan khelpcenter help:/kdesu).

CONTOH

Jalankan kfmclient sebagai pengguna budi, dan tampilkan ikon Konqueror di dalam dialog password:

    $(kde4-config --path libexec)kdesu -u budi -i konqueror kfmclient

PENULIS

KDE su ditulis oleh Geert Jansen <jansen@kde.org> dan Pietro Iglio <iglio@fub.it>.

PENULIS

Lauri Watts <lauri@kde.org>
    Penulis.